Page MenuHomePhabricator

upgrade grafana to 3.1.1
Closed, ResolvedPublic

Description

We're currently running 3.0.4, and 3.1.1 is out which among other things fixes https://github.com/grafana/grafana/issues/5172:

root@carbon:~# reprepro --restrict grafana checkupdate
aptmethod 'http' seems to have a obsoleted redirect handling which causes
reprepro to request files multiple times. Work-around activated, but better
only use it for targets not redirecting (or upgrade to apt >= 0.9.4 if
that is the http method from apt)!
Calculating packages to get...
Updates needed for 'jessie-wikimedia|thirdparty|source':
Updates needed for 'jessie-wikimedia|thirdparty|amd64':
'grafana': '3.0.4-1464167696' will be upgraded to '3.1.1-1470047149' (from 'grafana'):
 files needed: pool/thirdparty/g/grafana/grafana_3.1.1-1470047149_amd64.deb
  nothing new for 'trusty-wikimedia|thirdparty|source' (use --noskipold to process anyway)
Updates needed for 'trusty-wikimedia|thirdparty|amd64':
  nothing new for 'precise-wikimedia|thirdparty|source' (use --noskipold to process anyway)
Updates needed for 'precise-wikimedia|thirdparty|amd64':

Existing dashboards shouldn't break as a result of the upgrade, though that's not guaranteed. Grafana can be manually upgraded on labmon1001 first and tested at graphite-labs.wikimedia.org and then proceed with reprepro --restrict grafana update

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2016, 9:20 AM
fgiunchedi renamed this task from upgrade grafana to 3.1 to upgrade grafana to 3.1.1.Sep 22 2016, 9:22 AM
fgiunchedi updated the task description. (Show Details)
Dzahn triaged this task as Medium priority.Sep 22 2016, 5:16 PM

Mentioned in SAL (#wikimedia-operations) [2016-10-04T13:33:13Z] <godog> upgrade grafana to 3.1.1 on labmon1001 - T146354

Mentioned in SAL (#wikimedia-operations) [2016-10-12T10:10:10Z] <godog> upgrade grafana on krypton to 3.1.1-1470047149 T146354

fgiunchedi closed this task as Resolved.Oct 12 2016, 10:11 AM
fgiunchedi claimed this task.